petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLogSetThreshold

Set the threshold time for logging the events; this is a percentage out of 100, so 1. means any event that takes 1 or more percent of the time.

### Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogSetThreshold(PetscLogDouble newThresh, PetscLogDouble *oldThresh)

Logically Collective over PETSC_COMM_WORLD

### Input Parameter

newThresh -the threshold to use

### Output Parameter

oldThresh -the previously set threshold value

### Options Database Keys

-log_view :filename.xml:ascii_xml -Prints an XML summary of flop and timing information to the file

### Usage

          PetscInitialize(...);
          PetscLogNestedBegin();
          PetscLogSetThreshold(0.1,&oldthresh);
           ... code ...
          PetscLogView(viewer);
          PetscFinalize();

### See Also

PetscLogDump(), PetscLogAllBegin(), PetscLogView(), PetscLogTraceBegin(), PetscLogDefaultBegin(),
PetscLogNestedBegin()

### Level

advanced

### Location

src/sys/logging/xmllogevent.c

### Examples

src/snes/examples/tutorials/ex1f.F90.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages